Summary:	Graphical network viewer modeled after etherman
Name:		etherape
Version:	0.9.7
Release: 	%mkrel 5
License:	GPLv2+
Group:		Monitoring
URL:		http://etherape.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		etherape-0.9.5-desktopfile.patch
Requires:	usermode-consoleonly
BuildRequires:	libglade2.0-devel
BuildRequires:	libpcap-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	autoconf
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic. 
Color coded protocols display. It supports ethernet, ppp and slip 
devices. It can filter traffic to be shown, and can read traffic 
from a file as well as live from the network. 


%prep
%setup -q
%patch0 -p1 -b .olddesktop

%build
autoreconf
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std bindir=%{_sbindir}
mkdir -p %{buildroot}%{_bindir}

mv %{buildroot}/%{_sbindir}/etherape %{buildroot}/%{_sbindir}/etherape.real
ln -sf %{_bindir}/consolehelper %{buildroot}/%{_bindir}/etherape

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# pam.d
install -m 755 -d %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} << _EOF_
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       required     pam_console.so
auth       sufficient	pam_timestamp.so
auth       include	system-auth
account    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
_EOF_

# console.apps
install -m 755 -d %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} << _EOF_
USER=root
PROGRAM=%{_sbindir}/etherape.real
SESSION=true
FALLBACK=false
_EOF_

# install desktop file to new location
install -D -m 644 etherape.desktop %{buildroot}%{_datadir}/applications/etherape.desktop

# fd.o icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# remove files not bundled
rm -rf %{buildroot}%{_datadir}/gnome

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README* FAQ
%config(noreplace) %{_sysconfdir}/etherape
%config(noreplace) %{_sysconfdir}/pam.d/etherape
%config(noreplace) %{_sysconfdir}/security/console.apps/etherape
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/omf/%{name}



%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7-5mdv2009.0
+ Revision: 266733
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 14 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.7-4mdv2009.0
+ Revision: 192817
- oops, gotta create bindir...
- update icon cache in %%post
- use %%buildroot throughout
- the 'wrapper' executable should be in bindir, not sbindir

* Tue Feb 05 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.7-3mdv2008.1
+ Revision: 162554
- oops, fix a screwup in the previous PAM fix (#37385)

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.7-2mdv2008.1
+ Revision: 158959
- fix up the pam config file to fix launch (#20581)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.7-1mdv2008.0
+ Revision: 81179
- buildrequires imagemagick
- buildrequires desktop-file-utils
- rebuild for 2008
- fd.o icons
- drop outdated conditional in pam.d file
- drop legacy menu and X-Mandriva menu categories, fix .desktop errors
- just use autoreconf instead of all the manual autotools stuff
- clean buildrequires
- use Fedora license policy

  + Antoine Ginies <aginies@mandriva.com>
    - release 0.9.7


* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.6-4mdv2007.0
- rebuild for new dbus

* Mon Aug 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.6-3mdv2007.0
- xdg menu
- disable paralell build to fix build on x86_64

* Tue Jul 04 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.6-2mdv2007.0
- added buildrequires for scrollkeeper
- using newer PAM include feature, make it backportable

* Thu May 18 2006 Lenny Cartier <lenny@mandriva.com> 0.9.6-1mdk
- regenerate patch0
- 0.9.6

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 0.9.5-1mdk
- regenerate patch0
- remove patches merged upstream
- 0.9.5

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)
- added P1 and P2 from gentoo

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.9.1-1mdk
- New version
- P0: Update desktop file to newer convention

* Sun Jan 18 2004 Abel Cheung <deaddog@deaddog.org> 0.9.0-4mdk
- Include pam stuff in spec, and don't need to reauthenticate after
  small period of time

* Thu Sep 04 2003 Michael Scherer <scherer.michael@free.fr> 0.9.0-3mdk 
- BuildRequires ( libglade2.0_0-devel,libgnomeui2_0-devel,libpcap-devel )
- do not use static pcap

